/*!********************************************************************
 * The Initial Developer of the content of this file is NETCONOMY.
 * All portions of the code written by NETCONOMY are property of
 * NETCONOMY. All Rights Reserved.
 *
 * NETCONOMY Software & Consulting GmbH
 * Hilmgasse 4, A-8010 Graz (Austria)
 * FN 204360 f, Landesgericht fuer ZRS Graz
 * Tel: +43 (316) 815 544
 * Fax: +43 (316) 815544-99
 * www.netconomy.net
 *
 * (c) 2023 by NETCONOMY Software & Consulting GmbH
 ********************************************************************/
@use 'shop/resources/scss/base/constants/colors';
@use 'shop/resources/scss/base/mixins/breakpoints';

.dots {
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    left: 0;
    right: 1rem;
    bottom: 1rem;

    @include breakpoints.screen-m-and-up {
        justify-content: flex-end;
        right: 2rem;
        bottom: 2rem;
    }
}

.dot {
    display: flex;
    align-items: center;
    margin-right: 0.75rem;
    margin-left: 0.75rem;
    border: 2px solid colors.$color-white;
    border-radius: 100%;
    width: 13px;
    height: 13px;
    text-decoration: none;
    background: transparent;
    cursor: pointer;

    @include breakpoints.screen-l-and-up {
        width: 17px;
        height: 17px;
    }

    &:after {
        background: transparent;
        border-radius: 100%;
        width: 100%;
        height: 100%;
        content: '';
    }
}

.selectedDot:after {
    background: colors.$color-white;
}
